rip-environment script not running on RPi4 64bit

More
24 May 2021 06:03 - 24 May 2021 06:04 #210033 by tommylight
IIRC, Mint 19.3 requires only one or two dependencies, it get the rest on it's own.
Mint 20 is a mess, run from it ...

Just noticed this is for RPI, never mind ...
Last edit: 24 May 2021 06:04 by tommylight. Reason: not relevant info, my bad.

Please Log in or Create an account to join the conversation.

More
24 May 2021 22:37 - 24 May 2021 22:38 #210124 by andypugh
ideally
sudo apt-get build-dep linuxcnc
would do the trick.

This needs the repository configuring correctly.
Any volunteers to do the research?

The other way is
cd linuxcnc-dev
./debian/configure -r
dpkg-checkbuilddeps
That will give a list that (after editing to remove alernatives and versions) can be fed to apt-get install.
Last edit: 24 May 2021 22:38 by andypugh.

Please Log in or Create an account to join the conversation.

More
25 May 2021 00:28 - 25 May 2021 00:34 #210162 by BeagleBrainz
Could this:
github.com/LinuxCNC/linuxcnc/blob/master...nstall-build-deps.sh

Be modified for a normal user (no dev) that want to build ?


Ok I found this on one of my servers. It's a deb renamed to .txt.

Would you care to have a look Andy, this was made on Mint 19.2 or 19.3.

Please do not install this on a pure debian system. This is for review only.
Attachments:
Last edit: 25 May 2021 00:34 by BeagleBrainz.

Please Log in or Create an account to join the conversation.

More
25 May 2021 00:36 #210165 by andypugh

Please Log in or Create an account to join the conversation.

More
25 May 2021 00:41 #210167 by BeagleBrainz
Yup I saw that message.....Maybe build-dependencies package would be a better description, to avoid confusion between the Linuxcnc-dev package.

Please Log in or Create an account to join the conversation.

More
31 Aug 2022 06:47 - 31 Aug 2022 13:15 #250840 by virencq
Finally I got working RIP environment in RPI 4.
thanks to all developers for sharing your time and dedication for a lovely, efficient, intuitive LinuxCNC.
Last edit: 31 Aug 2022 13:15 by virencq.

Please Log in or Create an account to join the conversation.

Time to create page: 0.274 seconds
Powered by Kunena Forum